Jobs
Trigger an immediate run of a scheduled job
Starts an immediate run of an existing scheduled job, without waiting for its cron schedule.
The call returns the run id once the run is created. The run starts as the user who
scheduled the job.
Required permissions: StartJob, UseGlobalCompute
Returns 409 if the schedule is paused, or if its previous run has not completed and the schedule does not allow concurrent runs. Returns 404 if the scheduled job does not exist in the project or the project is archived.
POST
/
api
/
scheduledjobs
/
v1
/
projects
/
{projectId}
/
scheduledjobs
/
{scheduledJobId}
/
run
Trigger an immediate run of a scheduled job
curl --request POST \
--url https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"runId": "5f8f8c44e4b0f1a2b3c4d5e6"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Id of the project
Pattern:
^[0-9a-f]{24}$Id of the scheduled job to run
Response
success
Id of the run that was queued
Example:
"5f8f8c44e4b0f1a2b3c4d5e6"
Was this page helpful?
⌘I
Trigger an immediate run of a scheduled job
curl --request POST \
--url https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/scheduledjobs/v1/projects/{projectId}/scheduledjobs/{scheduledJobId}/run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"runId": "5f8f8c44e4b0f1a2b3c4d5e6"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"errors": [
"<string>"
],
"requestId": "bbd78579-93c4-45ee-a983-0d5c8da6d5b1"
}{
"error": "<string>"
}